#ifndef _BITOVER_H_
#define _BITOVER_H_

#include <custwind.h>

/*******************************************************************
Since the class is meant to be an overlay to over classes
it has only the default constructor and you must call its
initialization function immediately after the other class'
creationg or this class will not work!
*******************************************************************/

_CLASSDEF(TBitOver)
class _EXPORT TBitOver : virtual public TUnderlying
{
	HBITMAP BackBit;
	BITMAP BitObj;
	char	Destroy;
public:
	~TBitOver();

   //Destroy is set
	void SetBitmap(HINSTANCE Inst, LPSTR BitName);
	//Destroy if turned off
	void SetBitmap(HBITMAP ABit);

	void TurnOnDestroy(void)
		{	Destroy = TRUE;	};
	void TurnOffDestroy(void)
		{	Destroy = FALSE;	};

	virtual void UCtlColor(RTMessage Msg);
	virtual void UEraseBkGnd(RTMessage Msg);
};

#endif