#ifndef _CCHECK_H_
#define _CCHECK_H_

#ifndef _STATEBUT_H_
#include <statebut.h>
#endif

//Class Name
extern char CCheckClassName[];

_CLASSDEF(TCCheck)
class TCCheck : public TStateButton
{
	HBITMAP On,Off,Mask;
public:                             
	 TCCheck(PTWindowsObject AParent, int AnId,
			  LPSTR ATitle, int X, int Y, int W, int H,
			  PTModule AModule = NULL);
	 TCCheck(PTWindowsObject AParent, int ResourceId,
			  PTModule AModule = NULL);
	 ~TCCheck();

protected:
	virtual void DrawOff(HDC DrawDC);
	virtual void DrawOn(HDC DrawDC);

	virtual LPSTR GetClassName();
	virtual void GetWindowClass(WNDCLASS _FAR& WndClass);
};

#endif