#ifndef _NRADIO_H_
#define _NRADIO_H_

#ifndef _STATEBUT_H_
#include <statebut.h>
#endif

//Class Name
extern char CRadioClassName[];

_CLASSDEF(TCRadio)
class TCRadio : public TStateButton
{
	HBITMAP On,Off,Mask;
public:                             
    TCRadio(PTWindowsObject AParent, int AnId,
			  LPSTR ATitle, int X, int Y, int W, int H,
			  PTModule AModule = NULL);
    TCRadio(PTWindowsObject AParent, int ResourceId,
			  PTModule AModule = NULL);
	 ~TCRadio();

protected:
	virtual void DrawOff(HDC DrawDC);
	virtual void DrawOn(HDC DrawDC);

	virtual LPSTR GetClassName();
	virtual void GetWindowClass(WNDCLASS _FAR& WndClass);
};

#endif