#ifndef _CUSTSTRC_H_
#define _CUSTSTRC_H_

#ifndef ___DEFS_H
#include <_defs.h>
#endif

#ifndef __WINDOWS_H
#include <windows.h>
#endif

_CLASSDEF(CustColors)
struct _EXPORT CustColors
{
	int	Size;	//Size of structure for future
   	//compatibility
	COLORREF	TitleBarActive, TitleBarInactive, WindowBack;
	COLORREF TitleTextActive, TitleTextInactive;
	COLORREF UpLeftBorders, RightBottomBorders;
	COLORREF ButtonText, ListBoxText, StaticText;
	COLORREF EditText;
	//Ver 1.00 Size = 354
   CustColors() { Size = sizeof(CustColors); };
	void WindowsDefaults(void);
   void OrigClassDefaults(void);
};

_CLASSDEF(CustCursors)
struct _CLASSTYPE CustCursors
{
	int	Size;
   HINSTANCE	Instance;
	int	VerticalBorder, HorizontalBorder;
	int	DiagonalLeftBorder, DiagonalRightBorder;
	int	Main;
	int	TitleBar, SysMenu;
	int	HorizontalScrollBar, VerticalScrollBar;
	int	Menu, Maximize, Minimize, Border;
	int	NCButton;
   //Ver 1.10 Size = 32
	CustCursors()	{ Size = sizeof(CustCursors);	};
	void WindowsDefaults(void);
   void OrigClassDefaults(void);
};	

#endif