#ifndef _CEXTRAS_H_
#define _CEXTRAS_H_

#ifndef _CUSTWIND_H_
#include <bar.h>
#endif

#ifndef _BITOVER_H_
#include <bitover.h>
#endif

#ifndef __EDIT_H
#include <edit.h>
#endif

/*******************************************************************
A Message box with the supplied text and title.  Uses a
custom dialog box with an appropriate background.  Sounds
the cooresponding message beep.
*******************************************************************/
int _EXPORT CMessageBox(PTWindowsObject Parent, LPCSTR Text,
	LPCSTR Title, UINT Style, PTModule Module);

_CLASSDEF(TCMessageDlg)
class _EXPORT TCMessageDlg : public TBarDialog,
	public TBitOver
{
   PTEdit TheMessage;
	UINT	Style;
	int Ids[3];
	char HasCancel;
	char* Text;
	char* Title;
	void End(int Button);
public:
	TCMessageDlg(PTWindowsObject AParent,
		LPSTR AName, LPCSTR AText,
		LPCSTR ATitle, UINT AStyle, PTModule AModule,
		PCustColors Colors, PCustCursors Cursors);
	~TCMessageDlg();

	virtual void SetupWindow();

	virtual void Button1(RTMessage) = [ID_FIRST + ID_BUTTON1];
	virtual void Button2(RTMessage) = [ID_FIRST + ID_BUTTON2];
   virtual void Button3(RTMessage) = [ID_FIRST + ID_BUTTON3];
	virtual void WMSysCommand(RTMessage Msg) = [WM_FIRST + WM_SYSCOMMAND];
};

#endif